
<?php



/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

/**
 * @package    OpenXPlugin
 * @subpackage DeliveryLimitations
 */

require_once MAX_PATH . '/lib/max/Delivery/limitations.delivery.php';
require_once 'handset.php';
/**
 * Check to see if this impression contains the valid domain.
 *
 * @param string $limitation The domain limitation.
 * @param string $op The string operator.
 * @param array $aParams An array of additional parameters to be checked.
 * @return boolean Whether this impression's domain passes this limitation's test.
 */

function MAX_checkClient_Profiletarget($limitation, $op, $aParams = array())
{
    

	$p_age=$_REQUEST['age'];
    $p_phone=$_REQUEST['phone'];
	$p_gender=$_REQUEST['gender'];
	
	$lm = explode(',',$limitation);
	
	if($op=="==")
	{
			if($lm[0] == $p_age && $lm[1] == $p_phone && $lm[2] == $p_gender  )
			{
		
					return true;
			}
			else
			{
		
				 	return false;
			}	
		
	}
	else
	if($op =="!=")
	{
			if($lm[0] != $p_age && $lm[1] != $p_phone && $lm[2] != $p_gender  )
			{
					return true;
			}
			else
			{
					return false;
			}	
		
		
	}


	
}




?>










